Subject: bug#25235: Wrapped python programs get native-inputs in PYTHONPATH

From: Leo Famulari <[email-masked]>
Date: Mon, 26 Dec 2016 13:26:08 -0500

On Tue, Dec 20, 2016 at 03:00:50PM +0100, Ludovic Courtès wrote:
> Marius Bakke <[email-masked]> skribis:
> 
> > The 'wrap' phase of 'python-build-system' adds native-inputs to
> > PYTHONPATH of the wrapped programs. This causes unnecessary runtime
> > dependencies and may create problems when cross-compiling.
> >
> > Given that all python dependencies are now supposed to be propagated,
> > perhaps we can simply remove the wrap phase? It only touches PYTHONPATH.
> 
> We cannot simply remove it: it is meant for packages that provide
> standalone programs, such as ‘certbot’.  For these, it automatically
> wraps bin/* and we don’t even have to have propagated inputs, which is
> pretty cool.
> 
> However, you are right that native inputs shouldn’t be there.  Probably
> we need to add some filtering in the ‘wrap’ phase?

While looking at the beets package definition with fresh eyes, I realize
that it will surely break once this change is made. So it will make a
good test case for this improvement :)